/* Specific for the GoRetire calculators pages */

/*********************/
/* Main body styling */
/*********************/

/* EDIT FOR MASTER CHANGES ONLY */
/*html {
	background: linear-gradient(-45deg, white, rgba(0, 48, 70, 0.3));
}*/
body {
	font-size: 16px;
	line-height: 1.5;
	font-family: "Roboto", "Helvetica Neue", sans-serif;
}
h1 {
	font-size: 3rem;
	line-height: 1;
}
h2 {
	font-size: 2.5rem;
	line-height: 1;
}
h3 {
	font-size: 1.7rem;
}
h4 {
	font-size: 1.5rem;
}
h5 {
	font-size: 1.2rem;
}
article {
	display: grid;
}
p {
	line-height: 1.3;
}
img {
	width: 100%;
	height: auto;
	line-height: 0;
}
.disclaimer {
	font-size: 0.8rem;
	font-style: italic;
}
main, footer {
	display: grid;
    margin: 2rem auto;
	max-width: 1200px;
}
.button, button {
    border-radius: 0.5rem;
    padding: 1.5rem 1rem;
    width: auto;
    text-align: center;
    font-weight: bold;
    text-decoration: none;
    border: none;
    display: block;
}

/**********************/
/*     Nav styling    */
/**********************/
#mainNav {
    height: 60px;
    background-color: #003046;
    display: grid;
    align-items: center;
}
#mainNav ul {
    list-style: none;
    margin: 0;
    padding: 0;
}
#mainNav a {
    display: grid;
}
#mainNav img.logo {
    height: 50px;
    width: auto;
	margin-left: 1rem;
}

/* Skip Link Styling - Accessibility feature */
.skip-link {
	background: #003046;
	height: 30px;
	padding: 10px;
	position: absolute;
	transform: translateY(-100%);
	transition: transform 0.3s;
	z-index: 101;
    top: 0;
    left: 0;
    right: 0;
    width: fit-content;
    margin: auto;
    display: grid;
    justify-content: center;
    align-content: center;
    color: #ffffff;
    text-decoration: underline;
    text-transform: initial;
}  
.skip-link:focus {
	transform: translateY(0%);
}

/* Return to top styling */
#return {
    position: fixed;
    background: #ffffff;
    border: 0px;
    border-radius: 50%;
    padding: 0;
    display: none;
    bottom: 4rem;
    right: 4rem;
    box-shadow: 0 5px 10px #3a3a3a;
}

/**********************/
/*    Color styling   */
/**********************/
.blue {
    color: #003046;
}
.blue:hover, .blue:active {
    color: #003046;
}

/**********************/
/*    Main styling    */
/**********************/
#calcArea {
	display: grid;
	grid-template-columns: 300px auto;
}
#calcArea h1 {
	grid-column: 1 / span 2;
	grid-row: 1 / span 1;
    font-weight: lighter;
}
#calcArea hr {
	border: 1px solid #cccccc;
    height: 0px;
    width: 100%;
    margin-bottom: 20px;
    margin-top: 20px;
}
#calcArea p.disclaimer {
	text-align: center;
	margin: 0;
}

/**********************/
/* Calculator styling */
/**********************/
#calc {
	grid-column: 2 / span 1;
	grid-row: 2 / span 1;
}

/**********************/
/*  Sub-Nav styling   */
/**********************/
#calcNav {
	grid-column: 1 / span 1;
	grid-row: 2 / span 1;
    height: fit-content;
	border: 2px solid #565656;
	margin: 40px 2rem 0 0;
}
#calcList {
	list-style-type: none;
	padding: 0;
	margin: 0;
}
#calcList li {
	display: grid;
    align-items: center;
	grid-template-columns: 20% 75%;
	grid-column-gap: 5%;
	padding: 2rem 1rem;
}
#calcList li:nth-of-type(odd) {
	background-color: #e6e6e6;
}
#calcList li:nth-of-type(even) {
	background-color: #c6c6c6;
}
#calcList li.active:nth-of-type(even), #calcList li.active:nth-of-type(odd) {
	background-color: #003046;
}
#calcList li a {
	color: #003046;
	font-size: 1.6rem;
	font-weight: bold;
	grid-column-start: 2;
	align-content: center;
}
#calcList li a:hover {
	text-decoration: underline;
}
#calcList li.active a {
	color: #ffffff;
}
#calcList li.active a.calcTitle:hover {
	color: #c9c9c9 !important;
}
.calcList .calcTitle {
	color: #003046;
	font-weight: bold;
}

/*****************************/
/*   Main Calc List styling  */
/*****************************/

#calcListMain {
	justify-self: center;
	max-width: 900px;
}
#calcListMain .calcPic img {
	margin: 1rem;
	width: 100px;
}